﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}


/* Custom CSS */

.container{ 
    margin: 0;
    padding: 0;
}

.wrapper {
    background-color: #fff;
    width: 877px;
    font-family: Verdana, Arial, Georgia, sans-serif;
    font-size: 11px;
}

.wrapped-box {
    background-color: #0066cc;
    color: #fff;
    padding: 6px;
    height: 100%;
}

.left-frame .header .date a {
    color: #fff;
}

.left-frame .header .date p {
    display: inline-block;
}

/* Frames */
.left-frame {
    float: left;
    width: 608px;
    height: 100%;
    min-height: 100%;
}

.right-frame {
    padding-left: 3px;
    float: right;
    width: 269px;
    height: 100%;
    min-height: 100%;
}

/* Header */
.left-frame .header, .right-frame .header {
    margin-bottom: 12px;
    height: 46px;
}

.left-frame .header .info {
    float: left;
    width: 255px;
}

.left-frame .header .date {
    float: right;
    width: 350px;
    text-align: right;
    padding-left: 0px;
}

.right-frame .header .title {
    font-size: 14px;
}

/* Maps */
.left-frame .map .left-map {
    float: left;
}

.left-frame .map .right-map {
    float: right;
    margin-right: 3px;
}

/* Description */
.left-frame .description {
    margin-left: 4px;
    margin-top: 5px;
    line-height: 20px;
}

/* Station Picker */
.left-frame .searcher .searchbox {
    margin-top: 4px;
    margin-bottom: 6px;
    border: 1px solid #cdcdcd;
    color: #444444;
    font-size: 14px;
    padding: 4px;
    width: 49%;
}

.left-frame .current-station {
    background-color: #b1cbe6;
    color: #222222;
    padding-left: 4px;
    margin-top: 3px;
}

/* Table */
.left-frame .infotable {
    width: 100%;
}

    .left-frame .infotable td {
        border: 2px solid #fff;
        text-align: center;
    }

.tableheader td {
    background-color: #0066cc;
    color: #fff;
    padding: 6px;
    height: 100%;
}

.large-table--selected-row td {
    background-color: #b1cbe6;
}

/* Stappen */
.stap-frame .header {
    margin-bottom: 6px;
}
.stap-frame .header .title {
    font-size: 14px;
}
.stap-content .content .processed-info h2 {
    font-size: 10pt;
    color: #0066cc;
    font-weight: bold;
}

.processed-info .infotable .gevoelstemperatuur, .processed-info .infotable .temperatuur {
    border: 1px solid #0066cc;
    float: left;
}

.processed-info .infotable h3 {
    padding: 2px;
    background: #eeeeee;
    font-weight: bold;
    font-size: 11px;
    color: #0066cc;
    line-height: 1.6;
    margin: 0px;
}

.processed-info .infotable .gevoelstemperatuur {
    width: 146px;
    height: 56px;
}

.processed-info .infotable .temperatuur {
    margin-left: 1px;
    width: 107px;
    height: 56px;
}

.processed-info .infotable {
    height: 50px;
}

.processed-info .infotable .gevoelstemperatuur .content, .processed-info .infotable .temperatuur .content {
    padding-left: 2px;
}

.processed-info p {
    margin-bottom: 0rem;
}

.stap-result .result-header .header-info {
    width: 27px;
    height: 23px;
    line-height: 20px;
    font-family: "Times New Roman", sans-serif;
    font-size: 18pt;
    font-weight: bold;
    text-align: center;
    position: absolute;
    right: 0px;
    background: #0066cc;
    color: #fFF;
    cursor: pointer; 
}

.default-info {
    margin-bottom: .5rem;
}

.default-info label {
    margin-bottom: 0;
}

.stap-result .result-header {
    position: relative;
    border-top: 2px solid #0066cc;
    height: 8px;
    margin-top: 10px;
    width: 270px;
    margin-left: -3px;
}

.stap-result .result-content {
    display: block;
    width: 236px;
}

.stap-result .result-content h2 {
    display: inline;
    padding: 0px;
    margin: 0px;
    font-size: 10pt;
    color: #0066cc;
    font-weight: bold;
}

.step-frame {
    padding-bottom: 22px;
}

.tbb_greybox {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 99;
    display: none;
    background: #000000;
    background-color: #000000;
    opacity: 0.5;
}

.tbb_tip {
    left: 15%;
    top: 50%;
    display: none;

    z-index: 99;
    background: #fff;
    position: fixed;

    width: 665px;
    border: 7px solid #fff;
    border-radius: 7px;
}

.tbb_tip_content h2 {
    color: #0066cc;
    background: transparent;
    display: inline;
    font-weight: normal;
    font-size: 14px;
    margin: 0px;
    padding: 0px;
    widtH: 100%;
    margin-bottom: 5px;
}

.tbb_tip_content {
    padding: 5px;
    padding-bottom: 40px;
}

.tbb_tip_tools {
    position: absolute;
    bottom: 5px;
    width: 100%;
    text-align: center;
}

.tbb_tip_close {
    display: inline;
    padding: 5px;
    background: #eeeeee;
    color: #0066cc;
    border: 1px solid #0066cc;
    line-height: 25px;
    text-align: center;
    font-weight: bold;
    cursor: pointer;
}

.knop {
    border: 1px solid #06c;
    background: #eee;
    font-size: 10pt;
    color: #0066cc;
    font-weight: bold;
    text-align: center;
    padding: 5px;
    width: 70px;
}

.ja-knop {
    float: left;
    cursor: pointer;
}

.nee-knop {
    float: right;
    cursor: pointer;
}

.vorst-knop {
    float: left;
    cursor: pointer;
}

.gvt-knop {
    float: right;
    cursor: pointer;
}

.knoppen {
    width: 150px;
    height: 35px;
    margin: auto;
}

.full-step {
    margin-bottom: 10px;
}

.bigknop {
    border: 1px solid #06c;
    text-align: center;
    color: #06c;
    cursor: pointer;
    display:none;
}

.hidden-step {
    display: none;
}

.hidden-result {
    display: none;
}

.stap-header {
    margin-bottom: 12px;
    height: 100%;
}

/* Search Result*/
.wrapper .searchresults {
    margin-top: 15px;
    width: 265px;
}

.wrapper .searchresults .banner {
    font-size: 14px;
    margin-bottom: 10px;
}

/* MobileIndex */
.mobile-frame {
    margin-right: 12px;
    width: 259px;
    height: 100%;
    min-height: 100%;
}

@media screen and (max-width: 768px) {
    .tbb_tip {
        width: 85% !important;
        left: 5% !important;
    }
}